Get a single eval pipeline run
curl --request GET \
--url https://mathify.dev/api/v1/evals/pipeline-runs/{pipelineRunId} \
--header 'x-api-key: <api-key>'import requests
url = "https://mathify.dev/api/v1/evals/pipeline-runs/{pipelineRunId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mathify.dev/api/v1/evals/pipeline-runs/{pipelineRunId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evalPipelineRun": {
"id": "<string>",
"fragmentId": "<string>",
"projectId": "<string>",
"userId": "<string>",
"attemptNumber": 0,
"status": "COMPLETED",
"overallStatus": "PASS",
"summary": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"evalRuns": [
{
"id": "<string>",
"kind": "VISUAL_RUBRIC_JSON",
"status": "PASS",
"score": 0,
"maxScore": 0,
"issueCount": 0,
"highSeverityCount": 0,
"summary": "<string>",
"provider": "<string>",
"model": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"issues": [
{
"id": "<string>",
"severity": "MEDIUM",
"category": "<string>",
"frameIndex": 0,
"frameHint": "<string>",
"description": "<string>",
"suggestedFix": "<string>"
}
]
}
],
"renderJobId": "<string>",
"executionName": "<string>"
}
}{
"error": "Project not found"
}{
"error": "Project not found"
}{
"error": "Project not found"
}{
"error": "Project not found"
}Evals
Get a single eval pipeline run
GET
/
evals
/
pipeline-runs
/
{pipelineRunId}
Get a single eval pipeline run
Authorizations
apiKeyHeaderbearerAuth
Your Mathify API key (mk_live_<64 hex chars>), generated at /settings/api-keys.
Path Parameters
Query Parameters
Embed the full issue list on each eval run.
Available options:
0, 1, true, false Response
Eval pipeline run
Show child attributes
Show child attributes
⌘I

